<?xml version="1.0" encoding="UTF-8"?>
<?igorpro version="1.04"?>

<!--
Revision History: $Revision: 416 $ on $Date: 2008-01-02 19:43:35 -0500 (Wed, 02 Jan 2008) $

Do NOT change this file!!
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes"/>

<xsl:template match="/">
	<body>
	<xsl:apply-templates/>
	</body>
</xsl:template>

<xsl:template match="*">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="text()">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="mode">
	<xsl:variable name="graph" select="name"/>
	<ol id="{$graph}">
	<li id="title"><xsl:value-of select="title/mode"/></li>
	<li id="ylabel"><xsl:value-of select="axes/y/label"/></li>
	<li id="yscaling"><xsl:value-of select="axes/y/scaling"/></li>
	<li id="yunits"><xsl:value-of select="axes/y/units"/></li>
	<li id="xlabel"><xsl:value-of select="axes/x/label"/></li>
	<li id="xscaling"><xsl:value-of select="axes/x/scaling"/></li>
	<li id="xunits"><xsl:value-of select="axes/x/units"/></li>
	</ol>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="default">
	<DIV id="string">
	<p id="defaultType"><xsl:value-of select="."/></p>
	</DIV>
</xsl:template>

</xsl:stylesheet>
