// Preferences for SpXZeigR
// This works with SpXZeigR 4.0
// Revision History: $Revision: 3 $ on $Date: 2007-12-27 17:12:31 -0500 (Thu, 27 Dec 2007) $
// please make a copy of this file before making any changes

#pragma rtGlobals=1
#pragma IgorVersion=6.0
#pragma version=4.00

// define the file loaders to use

// #include "udStFiLrTabDelimited"

// Set the default font and font sizes for the graphs

#if (cmpstr(IgorInfo(2),"Macintosh")==0)		// MacOS default
	StrConstant xzDefaultGraphFont ="Helvetica"
#else
	StrConstant xzDefaultGraphFont ="Arial"
#endif
StrConstant xzDefaultGraphUnitEnvelope = "[]"
Constant xzDefaultAxesLabelSize = 14
Constant xzDefaultGraphTitleSize = 16
Constant xzDefaultAnnotationSize = 14

// Set the various graph modes
// this function is called during initialization

Function xzInitGraphModes()

	string/G Draft
	Draft = "autoscale=on;showtitle=FALSE;tracemode=lines;tagtraces=TRUE;"
	string/G Proof
	Proof = "autoscale=off;showtitle=TRUE;tracemode=lines;tagtraces=FALSE;"
	string/G Publish
	Publish = "autoscale=nice;showtitle=TRUE;tracemode=dots;tagtraces=FALSE;"

End

// Set the defaults on the display panel
// this function is called during initialization

Function xzInitDisplayPanelMode()

	SVAR initialDisplayPanelMode
	
	initialDisplayPanelMode = "graphmode=Draft;"

End
