<?xml version="1.0" encoding="UTF-8"?>
<?igorpro version="1.04"?>

<!--
Revision History: $Revision: 416 $ on $Date: 2008-01-02 19:43:35 -0500 (Wed, 02 Jan 2008) $

Do NOT change this file!!
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes"/>

<xsl:template match="/">
	<body>
	<xsl:apply-templates/>
	</body>
</xsl:template>

<xsl:template match="*">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="text()">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="paradigm">
	<xsl:variable name="type" select="name"/>
	<ol id="Paradigm{$type}">
	<li id="verbose"><xsl:value-of select="mode/verbose"/></li>
	<li id="screenleft"><xsl:value-of select="screen/left"/></li>
	<li id="screentop"><xsl:value-of select="screen/top"/></li>
	<li id="screenright"><xsl:value-of select="screen/right"/></li>
	<li id="screenbottom"><xsl:value-of select="screen/bottom"/></li>
	<li id="pathdata"><xsl:value-of select="paths/data"/></li>
	<li id="pathstorage"><xsl:value-of select="paths/storage"/></li>
	</ol>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="default">
	<DIV id="string">
	<p id="defaultParadigm"><xsl:value-of select="."/></p>
	</DIV>
</xsl:template>

</xsl:stylesheet>
